name: big-bear-onlyoffice
services:
  app:
    container_name: documentserver
    image: onlyoffice/documentserver:7.5.1
    labels:
      icon: https://cdn.jsdelivr.net/gh/walkxcode/dashboard-icons/png/onlyoffice.png
    ports:
      - mode: ingress
        target: 80
        published: "7400"
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/big-bear-onlyoffice/onlyoffice/logs
        target: /var/log/onlyoffice
        bind:
          create_host_path: true
      - type: bind
        source: /DATA/AppData/big-bear-onlyoffice/onlyoffice/data
        target: /var/www/onlyoffice/Data
        bind:
          create_host_path: true
      - type: bind
        source: /DATA/AppData/big-bear-onlyoffice/onlyoffice/lib
        target: /var/lib/onlyoffice
        bind:
          create_host_path: true
      - type: bind
        source: /DATA/AppData/big-bear-onlyoffice/onlyoffice/rabbitmq
        target: /var/lib/rabbitmq
        bind:
          create_host_path: true
      - type: bind
        source: /DATA/AppData/big-bear-onlyoffice/onlyoffice/redis
        target: /var/lib/redis
        bind:
          create_host_path: true
      - type: bind
        source: /DATA/AppData/big-bear-onlyoffice/onlyoffice/db
        target: /var/lib/postgresql
        bind:
          create_host_path: true
    x-casaos:
      ports:
        - container: "80"
          description:
            en_us: "Container Port: 80"
      volumes:
        - container: /var/log/onlyoffice
          description:
            en_us: "Container Path: /var/log/onlyoffice"
        - container: /var/www/onlyoffice/Data
          description:
            en_us: "Container Path: /var/www/onlyoffice/Data"
        - container: /var/lib/onlyoffice
          description:
            en_us: "Container Path: /var/lib/onlyoffice"
        - container: /var/lib/rabbitmq
          description:
            en_us: "Container Path: /var/lib/rabbitmq"
        - container: /var/lib/redis
          description:
            en_us: "Container Path: /var/lib/redis"
        - container: /var/lib/postgresql
          description:
            en_us: "Container Path: /var/lib/postgresql"
    devices: []
    cap_add: []
    command: []
    environment: []
    networks:
      - default
    privileged: false
    restart: unless-stopped
    cpu_shares: 90
    deploy:
      resources:
        limits:
          memory: 5967M
networks:
  default:
    name: big-bear-onlyoffice_default
x-casaos:
  architectures:
    - amd64
    - arm64
  author: BigBearTechWorld
  category: BigBearCasaOS
  description:
    en_us: Feature-rich web-based office suite with a vast range of collaborative
      capabilities
  developer: ""
  icon: https://cdn.jsdelivr.net/gh/walkxcode/dashboard-icons/png/onlyoffice.png
  main: app
  port_map: "7400"
  store_app_id: big-bear-onlyoffice
  tagline:
    en_us: OnlyOffice
  thumbnail: ""
  title:
    en_us: OnlyOffice
    custom: ""
  hostname: ""
  scheme: http
  index: /
